pkgsrc-Bugs archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

pkg/46181: In a newly-installed 5.1.2 (i386), pkg_add fails

>Number:         46181
>Category:       pkg
>Synopsis:       In a newly-installed 5.1.2 (i386), pkg_add fails
>Confidential:   no
>Severity:       serious
>Priority:       high
>Responsible:    pkg-manager
>State:          open
>Class:          sw-bug
>Submitter-Id:   net
>Arrival-Date:   Mon Mar 12 11:55:01 +0000 2012
>Originator:     Don Allen
>Release:        5.1.2
NetBSD 5.1.2 NetBSD 5.1.2 (GENERIC) #0: Thu Feb  2 17:22:10 
UTC 2012

In a newly-installed 5.1.2 system, pkg_add fails when 

The error:
dca@pelleas:~/Software/vim-source$ sudo -E /usr/sbin/pkg_add gnuplot
pkg_add: Error: package `gnuplot-4.4.3nb1' was built with a newer pkg_install 
pkg_add: 1 package addition failed

Run /usr/sbin/pkg_add.
A workaround is to build and install pkgtools/pkg_add from pkgsrc and then 
place /usr/pkg/sbin earlier in PATH than /usr/sbin.

Home | Main Index | Thread Index | Old Index